Index: experimental/osgVisual-GUI/Sichtsystem-GUI.sln
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI.sln	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI.sln	(revision 236)
@@ -0,0 +1,23 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 10.00
+# Visual Studio 2008
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Sichtsystem-GUI", "Sichtsystem-GUI\Sichtsystem-GUI.vcproj", "{C10F42E5-3D24-4FEF-986E-186228308076}"
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Win32 = Debug|Win32
+		Release|Win32 = Release|Win32
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{C10F42E5-3D24-4FEF-986E-186228308076}.Debug|Win32.ActiveCfg = Debug|Win32
+		{C10F42E5-3D24-4FEF-986E-186228308076}.Debug|Win32.Build.0 = Debug|Win32
+		{C10F42E5-3D24-4FEF-986E-186228308076}.Release|Win32.ActiveCfg = Release|Win32
+		{C10F42E5-3D24-4FEF-986E-186228308076}.Release|Win32.Build.0 = Release|Win32
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+	GlobalSection(Qt) = preSolution
+		Integration = True
+	EndGlobalSection
+EndGlobal
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/Sichtsystem-GUI.rc
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/Sichtsystem-GUI.rc	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/Sichtsystem-GUI.rc	(revision 236)
@@ -0,0 +1,2 @@
+IDI_ICON1		ICON		DISCARDABLE	"Sichtsystem-GUI.ico"
+
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/Sichtsystem-GUI.vcproj
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/Sichtsystem-GUI.vcproj	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/Sichtsystem-GUI.vcproj	(revision 236)
@@ -0,0 +1,983 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="9,00"
+	Name="Sichtsystem-GUI"
+	ProjectGUID="{C10F42E5-3D24-4FEF-986E-186228308076}"
+	RootNamespace="Sichtsystem-GUI"
+	Keyword="Qt4VSv1.0"
+	TargetFrameworkVersion="131072"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories="..\..\VCL_1.0.3.4\source\include\VCL;.\GeneratedFiles;&quot;$(QTDIR)\include&quot;;&quot;.\GeneratedFiles\$(ConfigurationName)&quot;;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include\QtGui&quot;;&quot;$(QTDIR)\include\QtXml&quot;;&quot;$(QTDIR)\include\QtNetwork&quot;;&quot;$(QTDIR)\include\QtHelp&quot;;&quot;$(QTDIR)\include\QtXmlPatterns&quot;;.\;&quot;$(OSG_ROOT)\include&quot;"
+				PreprocessorDefinitions="UNICODE,WIN32,QT_THREAD_SUPPORT,QT_NO_DEBUG,NDEBUG,QT_CORE_LIB,QT_GUI_LIB,QT_XML_LIB,QT_NETWORK_LIB;QT_DLL"
+				RuntimeLibrary="2"
+				TreatWChar_tAsBuiltInType="false"
+				DebugInformationFormat="0"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="qtmain.lib QtCore4.lib QtGui4.lib QtXml4.lib QtNetwork4.lib QtHelp4.lib QtXmlPatterns4.lib osg.lib"
+				OutputFile="$(OutDir)\$(ProjectName).exe"
+				AdditionalLibraryDirectories="&quot;$(QTDIR)\lib&quot;;..\..\VCL_1.0.3.4\source\lib\x86;..\..\VCL_1.0.3.4\source\3rdParty\expatpp\lib\releasemtdll;&quot;$(OSG_ROOT)\lib&quot;"
+				GenerateDebugInformation="false"
+				SubSystem="2"
+				RandomizedBaseAddress="1"
+				DataExecutionPrevention="0"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories="..\..\VCL_1.0.3.4\source\include\VCL;.\GeneratedFiles;&quot;$(QTDIR)\include&quot;;&quot;.\GeneratedFiles\$(ConfigurationName)&quot;;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include\QtGui&quot;;&quot;$(QTDIR)\include\QtXml&quot;;&quot;$(QTDIR)\include\QtNetwork&quot;;&quot;$(QTDIR)\include\QtHelp&quot;;&quot;$(QTDIR)\include\QtXmlPatterns&quot;;.\;&quot;$(OSG_ROOT)\include&quot;"
+				PreprocessorDefinitions="UNICODE,WIN32,QT_THREAD_SUPPORT,QT_CORE_LIB,QT_GUI_LIB,QT_XML_LIB,QT_NETWORK_LIB;QT_DLL"
+				RuntimeLibrary="3"
+				TreatWChar_tAsBuiltInType="false"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="qtmaind.lib QtCored4.lib QtGuid4.lib QtXmld4.lib QtNetworkd4.lib QtHelpd4.lib QtXmlPatternsd4.lib osgd.lib"
+				OutputFile="$(OutDir)\$(ProjectName).exe"
+				AdditionalLibraryDirectories="&quot;$(QTDIR)\lib&quot;;..\..\VCL_1.0.3.4\source\lib\x86;..\..\VCL_1.0.3.4\source\3rdParty\expatpp\lib\debugmtdll;&quot;$(OSG_ROOT)\lib\&quot;"
+				GenerateDebugInformation="true"
+				SubSystem="2"
+				RandomizedBaseAddress="1"
+				DataExecutionPrevention="0"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Dateien"
+			Filter="cpp;cxx;c;def"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath=".\main.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\sichtsystemgui.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\visualGUI_DateTime.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\visualGUI_externalDataContainer.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\visualGUI_externalLink.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\visualGUI_externalLinkVCL.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\visualGUI_ObjectPosition.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\visualGUI_Weather.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Dateien"
+			Filter="h"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath=".\debug.h"
+				>
+			</File>
+			<File
+				RelativePath=".\sichtsystemgui.h"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing sichtsystemgui.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_NO_DEBUG -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\sichtsystemgui.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\sichtsystemgui.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_sichtsystemgui.cpp&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing sichtsystemgui.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\sichtsystemgui.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\sichtsystemgui.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_sichtsystemgui.cpp&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\visualGUI_DateTime.h"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing visualGUI_DateTime.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_NO_DEBUG -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\visualGUI_DateTime.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\visualGUI_DateTime.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_visualGUI_DateTime.cpp&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing visualGUI_DateTime.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\visualGUI_DateTime.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\visualGUI_DateTime.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_visualGUI_DateTime.cpp&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\visualGUI_externalDataContainer.h"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing visualGUI_externalDataContainer.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_NO_DEBUG -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\visualGUI_externalDataContainer.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\visualGUI_externalDataContainer.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_visualGUI_externalDataContainer.cpp&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing visualGUI_externalDataContainer.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\visualGUI_externalDataContainer.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\visualGUI_externalDataContainer.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_visualGUI_externalDataContainer.cpp&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\visualGUI_externalLink.h"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing visualGUI_externalLink.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_NO_DEBUG -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\visualGUI_externalLink.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\visualGUI_externalLink.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_visualGUI_externalLink.cpp&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing visualGUI_externalLink.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\visualGUI_externalLink.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\visualGUI_externalLink.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_visualGUI_externalLink.cpp&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\visualGUI_externalLinkVCL.h"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing visualGUI_externalLinkVCL.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_NO_DEBUG -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\visualGUI_externalLinkVCL.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\visualGUI_externalLinkVCL.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_visualGUI_externalLinkVCL.cpp&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing visualGUI_externalLinkVCL.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\visualGUI_externalLinkVCL.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\visualGUI_externalLinkVCL.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_visualGUI_externalLinkVCL.cpp&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\visualGUI_ObjectPosition.h"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing visualGUI_ObjectPosition.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_NO_DEBUG -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\visualGUI_ObjectPosition.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\visualGUI_ObjectPosition.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_visualGUI_ObjectPosition.cpp&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing visualGUI_ObjectPosition.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\visualGUI_ObjectPosition.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\visualGUI_ObjectPosition.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_visualGUI_ObjectPosition.cpp&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\visualGUI_Weather.h"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing visualGUI_Weather.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_NO_DEBUG -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\visualGUI_Weather.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\visualGUI_Weather.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_visualGUI_Weather.cpp&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing visualGUI_Weather.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_THREAD_SUPPORT -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_DLL  -I&quot;.\..\..\VCL_1.0.3.4\source\include\VCL&quot; -I&quot;.\GeneratedFiles&quot; -I&quot;$(QTDIR)\include&quot; -I&quot;.\GeneratedFiles\$(ConfigurationName)&quot; -I&quot;$(QTDIR)\include\QtCore&quot; -I&quot;$(QTDIR)\include\QtGui&quot; -I&quot;$(QTDIR)\include\QtXml&quot; -I&quot;$(QTDIR)\include\QtNetwork&quot; -I&quot;$(QTDIR)\include\QtHelp&quot; -I&quot;$(QTDIR)\include\QtXmlPatterns&quot; -I&quot;.&quot; -I&quot;$(OSG_ROOT)\include&quot; &quot;.\visualGUI_Weather.h&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;.\visualGUI_Weather.h"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_visualGUI_Weather.cpp&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+		</Filter>
+		<Filter
+			Name="Form Dateien"
+			Filter="ui"
+			UniqueIdentifier="{99349809-55BA-4b9d-BF79-8FDBB0286EB3}"
+			>
+			<File
+				RelativePath=".\sichtsystemgui.ui"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Uic&apos;ing $(InputPath)..."
+						CommandLine="&quot;$(QTDIR)\bin\uic.exe&quot; -o &quot;.\GeneratedFiles\ui_sichtsystemgui.h&quot; &quot;$(InputPath)&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe"
+						Outputs="&quot;.\GeneratedFiles\ui_sichtsystemgui.h&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Uic&apos;ing $(InputPath)..."
+						CommandLine="&quot;$(QTDIR)\bin\uic.exe&quot; -o &quot;.\GeneratedFiles\ui_sichtsystemgui.h&quot; &quot;$(InputPath)&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe"
+						Outputs="&quot;.\GeneratedFiles\ui_sichtsystemgui.h&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\visualGUI_DateTime.ui"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Uic&apos;ing $(InputPath)..."
+						CommandLine="&quot;$(QTDIR)\bin\uic.exe&quot; -o &quot;.\GeneratedFiles\ui_visualGUI_DateTime.h&quot; &quot;$(InputPath)&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe"
+						Outputs="&quot;.\GeneratedFiles\ui_visualGUI_DateTime.h&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Uic&apos;ing $(InputPath)..."
+						CommandLine="&quot;$(QTDIR)\bin\uic.exe&quot; -o &quot;.\GeneratedFiles\ui_visualGUI_DateTime.h&quot; &quot;$(InputPath)&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe"
+						Outputs="&quot;.\GeneratedFiles\ui_visualGUI_DateTime.h&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\visualGUI_ObjectPosition.ui"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Uic&apos;ing $(InputPath)..."
+						CommandLine="&quot;$(QTDIR)\bin\uic.exe&quot; -o &quot;.\GeneratedFiles\ui_visualGUI_ObjectPosition.h&quot; &quot;$(InputPath)&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe"
+						Outputs="&quot;.\GeneratedFiles\ui_visualGUI_ObjectPosition.h&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Uic&apos;ing $(InputPath)..."
+						CommandLine="&quot;$(QTDIR)\bin\uic.exe&quot; -o &quot;.\GeneratedFiles\ui_visualGUI_ObjectPosition.h&quot; &quot;$(InputPath)&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe"
+						Outputs="&quot;.\GeneratedFiles\ui_visualGUI_ObjectPosition.h&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\visualGUI_Weather.ui"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Uic&apos;ing $(InputPath)..."
+						CommandLine="&quot;$(QTDIR)\bin\uic.exe&quot; -o &quot;.\GeneratedFiles\ui_visualGUI_Weather.h&quot; &quot;$(InputPath)&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe"
+						Outputs="&quot;.\GeneratedFiles\ui_visualGUI_Weather.h&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Uic&apos;ing $(InputPath)..."
+						CommandLine="&quot;$(QTDIR)\bin\uic.exe&quot; -o &quot;.\GeneratedFiles\ui_visualGUI_Weather.h&quot; &quot;$(InputPath)&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe"
+						Outputs="&quot;.\GeneratedFiles\ui_visualGUI_Weather.h&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Dateien"
+			Filter="qrc;*"
+			UniqueIdentifier="{D9D6E242-F8AF-46E4-B9FD-80ECBC20BA3E}"
+			ParseFiles="false"
+			>
+			<File
+				RelativePath=".\Resources\aboutQt.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\Resources\applicationLogo.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\Resources\changeLanguage.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\Resources\exit.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\Resources\help.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\Resources\setCornerLeftBottom.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\Resources\setCornerLeftTop.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\Resources\setCornerRightBottom.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\Resources\setCornerRightTop.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\Resources\settings.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\sichtsystemgui.qrc"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Rcc&apos;ing sichtsystemgui.qrc..."
+						CommandLine="&quot;$(QTDIR)\bin\rcc.exe&quot; -name &quot;sichtsystemgui&quot; -no-compress &quot;.\sichtsystemgui.qrc&quot; -o .\GeneratedFiles\qrc_sichtsystemgui.cpp&#x0D;&#x0A;"
+						AdditionalDependencies=".\sichtsystemgui.qrc;.\Resources\aboutQt.png;.\Resources\applicationLogo.png;.\Resources\changeLanguage.png;.\Resources\exit.png;.\Resources\help.png;.\Resources\setCornerLeftBottom.png;.\Resources\setCornerLeftTop.png;.\Resources\setCornerRightBottom.png;.\Resources\setCornerRightTop.png;.\Resources\settings.png"
+						Outputs=".\GeneratedFiles\qrc_sichtsystemgui.cpp"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Rcc&apos;ing sichtsystemgui.qrc..."
+						CommandLine="&quot;$(QTDIR)\bin\rcc.exe&quot; -name &quot;sichtsystemgui&quot; -no-compress &quot;.\sichtsystemgui.qrc&quot; -o .\GeneratedFiles\qrc_sichtsystemgui.cpp&#x0D;&#x0A;"
+						AdditionalDependencies=".\sichtsystemgui.qrc;.\Resources\aboutQt.png;.\Resources\applicationLogo.png;.\Resources\changeLanguage.png;.\Resources\exit.png;.\Resources\help.png;.\Resources\setCornerLeftBottom.png;.\Resources\setCornerLeftTop.png;.\Resources\setCornerRightBottom.png;.\Resources\setCornerRightTop.png;.\Resources\settings.png"
+						Outputs=".\GeneratedFiles\qrc_sichtsystemgui.cpp"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\Resources\wifi.png"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+					/>
+				</FileConfiguration>
+			</File>
+		</Filter>
+		<Filter
+			Name="Generierte Dateien"
+			Filter="moc;h;cpp"
+			UniqueIdentifier="{71ED8ED8-ACB9-4CE9-BBE1-E00B30144E11}"
+			SourceControlFiles="false"
+			>
+			<File
+				RelativePath=".\GeneratedFiles\Debug\moc_sichtsystemgui.cpp"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Release\moc_sichtsystemgui.cpp"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Release\moc_visualGUI_DateTime.cpp"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Debug\moc_visualGUI_DateTime.cpp"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Debug\moc_visualGUI_externalDataContainer.cpp"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Release\moc_visualGUI_externalDataContainer.cpp"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Debug\moc_visualGUI_externalLink.cpp"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Release\moc_visualGUI_externalLink.cpp"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Release\moc_visualGUI_externalLinkVCL.cpp"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Debug\moc_visualGUI_externalLinkVCL.cpp"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Release\moc_visualGUI_ObjectPosition.cpp"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Debug\moc_visualGUI_ObjectPosition.cpp"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Debug\moc_visualGUI_Weather.cpp"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\Release\moc_visualGUI_Weather.cpp"
+				>
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="true"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\qrc_sichtsystemgui.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\ui_sichtsystemgui.h"
+				>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\ui_visualGUI_DateTime.h"
+				>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\ui_visualGUI_ObjectPosition.h"
+				>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\ui_visualGUI_Weather.h"
+				>
+			</File>
+		</Filter>
+		<File
+			RelativePath=".\Sichtsystem-GUI.ico"
+			>
+		</File>
+		<File
+			RelativePath=".\Sichtsystem-GUI.rc"
+			>
+		</File>
+	</Files>
+	<Globals>
+		<Global
+			Name="MocDir"
+			Value=".\GeneratedFiles\$(ConfigurationName)"
+		/>
+		<Global
+			Name="QtVersion"
+			Value="4.5.1"
+		/>
+		<Global
+			Name="QtVersion Win32"
+			Value="$(DefaultQtVersion)"
+		/>
+		<Global
+			Name="RccDir"
+			Value=".\GeneratedFiles"
+		/>
+		<Global
+			Name="UicDir"
+			Value=".\GeneratedFiles"
+		/>
+	</Globals>
+</VisualStudioProject>
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/sichtsystemgui.cpp
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/sichtsystemgui.cpp	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/sichtsystemgui.cpp	(revision 236)
@@ -0,0 +1,177 @@
+#include "sichtsystemgui.h"
+
+SichtsystemGUI::SichtsystemGUI(QWidget *parent, Qt::WFlags flags)
+	: QMainWindow(parent, flags)
+{
+	debug = NULL;
+	
+	// Help-Process vorbereiten
+	helpProcess = new QProcess;
+
+	// Instantiate externalLinkDataContainer
+	externalDataContainer = new visualGUI_externalDataContainer(this);
+
+	// Intantiate externalLink
+	externalLink = new visualGUI_externalLinkVCL(this, externalDataContainer);
+	externalLink->InitExternalLink();	
+
+	// Activate externalLink
+	 externalLinkTimer = new QTimer(this);
+     connect( externalLinkTimer, SIGNAL(timeout()), this, SLOT(on_actionTriggerExternalLink_triggered()) );
+     externalLinkTimer->start(25);
+
+	// GUI instanziieren
+	ui.setupUi(this);
+
+	// GUI-Klassen instanziieren & connectieren
+	
+	// Centralwidget initialisieren -> Workflow
+	//workflow = new chm3ReadWorkflow( this );
+	//this->setCentralWidget( workflow );
+
+	// Toolbars initialisieren
+	setupDockWidgets();
+	setupToolbars();
+
+	// Windowgeometrie wiederherstellen
+	QSettings settings("OSG-Visual", "Visual-GUI 1.0");
+	restoreGeometry(settings.value("mainwindow/maingeometry").toByteArray() );
+	restoreState( settings.value("mainwindow/DockwidgetLayout").toByteArray() );
+
+	// Und schlußendlich die GUI zeigen
+	this->show();
+}
+
+SichtsystemGUI::~SichtsystemGUI()
+{
+
+}
+
+void SichtsystemGUI::closeEvent(QCloseEvent *event)
+{
+	// Anwendung schliessen:
+	this->hide();
+
+	// Geometrien speichern
+	QSettings settings("OSG-Visual", "Visual-GUI 1.0");
+	settings.setValue("mainwindow/maingeometry", saveGeometry());
+	settings.setValue("mainwindow/DockwidgetLayout", saveState() );
+	//Debugfenster schliessen
+	 if( debug != NULL )
+	 {
+		settings.setValue("debugwindow/geometry", debug->saveGeometry());
+		qInstallMsgHandler(0);
+		debug->close();
+	 }
+
+	 // Event akzeptieren
+	 event->accept();
+}
+
+void SichtsystemGUI::setDebug(QTextEdit* debug_)
+{
+	if ( debug_ != NULL )
+	{
+		debug = debug_;
+		ui.dW_Debug->setWidget(debug);
+	}
+}
+
+void SichtsystemGUI::on_actionAbout_Qt_triggered()
+{
+	QMessageBox::aboutQt( this, "About Qt Toolkit" );
+}
+
+void SichtsystemGUI::on_actionAbout_This_Programm_triggered()
+{
+	QMessageBox::about( this, tr("About OSG Visual GUI"),
+		tr("OSG Visual is a GUI application for easy controlling and testing of the OSG-Visual programm.\n\n It is freely available unter GNU LGPL license\n\n Developement version 0.1\n\nLGPL icons created & copyright by the \"Crystal - Interaction Design Project\".\nPlease visit http://www.everaldo.com/crystal/") );
+
+}
+
+void SichtsystemGUI::setupDockWidgets()
+{
+	// DateTime Widget
+	//
+	dateTimeWidget = new visualGUI_DateTime( this );
+	ui.dW_DateTime->setWidget( dateTimeWidget );
+
+	// Objects
+	objectPositionWidget = new visualGUI_ObjectPosition(this);
+	ui.dW_Objects->setWidget(objectPositionWidget);
+	
+	
+
+	// Menü populieren
+	//
+	ui.menuEdit->addAction( ui.dW_DateTime->toggleViewAction() );
+	ui.dW_DateTime->toggleViewAction()->setText( tr("Show/Hide Date & Time") );
+	ui.dW_DateTime->toggleViewAction()->setToolTip( tr("Show/Hide date & time area") );
+	
+	//
+	ui.menuEdit->addAction( ui.dW_Objects->toggleViewAction() );
+	ui.dW_Objects->toggleViewAction()->setText( tr("Show/Hide Object Position") );
+	ui.dW_Objects->toggleViewAction()->setToolTip( tr("Show/Hide the object positioning area") );
+	
+	//
+	ui.menuEdit->addAction( ui.dW_Weather->toggleViewAction() );
+	ui.dW_Weather->toggleViewAction()->setText( tr("Show/Hide Weather") );
+	ui.dW_Weather->toggleViewAction()->setToolTip( tr("Show/Hide the weather area") );
+	
+	ui.menuEdit->addAction( ui.actionSettings );
+}
+
+
+void SichtsystemGUI::setupToolbars()
+{
+	// main-Toolbar
+	ui.mainToolBar->addAction( ui.actionExit );
+	ui.mainToolBar->addAction( ui.actionSettings );
+}
+
+void SichtsystemGUI::on_actionToggle_top_left_corner_triggered()
+{
+	if( this->corner( Qt::TopLeftCorner ) == Qt::LeftDockWidgetArea )
+		setCorner( Qt::TopLeftCorner, Qt::BottomDockWidgetArea );
+	else if( this->corner( Qt::TopLeftCorner ) == Qt::BottomDockWidgetArea )
+		setCorner( Qt::TopLeftCorner, Qt::LeftDockWidgetArea );
+}
+
+void SichtsystemGUI::on_actionToggle_top_right_corner_triggered()
+{
+	if( this->corner( Qt::TopRightCorner ) == Qt::RightDockWidgetArea )
+		setCorner( Qt::TopRightCorner, Qt::TopDockWidgetArea );
+	else if( this->corner( Qt::TopRightCorner ) == Qt::TopDockWidgetArea )
+		setCorner( Qt::TopRightCorner, Qt::RightDockWidgetArea );
+}
+
+void SichtsystemGUI::on_actionToggle_bottom_left_corner_triggered()
+{
+	if( this->corner( Qt::BottomLeftCorner ) == Qt::LeftDockWidgetArea )
+		setCorner( Qt::BottomLeftCorner, Qt::BottomDockWidgetArea );
+	else if( this->corner( Qt::BottomLeftCorner ) == Qt::BottomDockWidgetArea )
+		setCorner( Qt::BottomLeftCorner, Qt::LeftDockWidgetArea );
+}
+
+void SichtsystemGUI::on_actionToggle_bottom_right_corner_triggered()
+{
+	if( this->corner( Qt::BottomRightCorner ) == Qt::RightDockWidgetArea )
+		setCorner( Qt::BottomRightCorner, Qt::BottomDockWidgetArea );
+	else if( this->corner( Qt::BottomRightCorner ) == Qt::BottomDockWidgetArea )
+		setCorner( Qt::BottomRightCorner, Qt::RightDockWidgetArea );
+}
+
+void SichtsystemGUI::on_actionTriggerExternalLink_triggered()
+{
+	// Copy Data to Transfercontainer after converting ( GUI is in deg, osgvisual+VCL need rad)
+	externalDataContainer->lat = osg::DegreesToRadians( objectPositionWidget->getUI()->dSB_Lat->value() );
+	externalDataContainer->lon = osg::DegreesToRadians( objectPositionWidget->getUI()->dSB_Lon->value() );
+	externalDataContainer->alt = objectPositionWidget->getUI()->dSB_Alt->value();
+	externalDataContainer->bank_phi = osg::DegreesToRadians( objectPositionWidget->getUI()->dSB_bank_phi->value() );
+	externalDataContainer->pitch_theta = osg::DegreesToRadians( objectPositionWidget->getUI()->dSB_pitch_theta->value() );
+	externalDataContainer->azimuth_psi = osg::DegreesToRadians( objectPositionWidget->getUI()->dSB_azimuth_psi->value() );
+	externalDataContainer->idToTrack = objectPositionWidget->getUI()->idToTrack->value();
+
+	// TransferData
+	externalLink->processExternalLink();
+}
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/sichtsystemgui.h
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/sichtsystemgui.h	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/sichtsystemgui.h	(revision 236)
@@ -0,0 +1,84 @@
+#ifndef SICHTSYSTEMGUI_H
+#define SICHTSYSTEMGUI_H
+
+#include <QtGui>
+#include "ui_sichtsystemgui.h"
+
+#include "visualGUI_DateTime.h"
+#include "visualGUI_ObjectPosition.h"
+#include "visualGUI_externalLinkVCL.h"
+#include "visualGUI_externalDataContainer.h"
+
+#include <osg/Math>
+
+
+class SichtsystemGUI : public QMainWindow
+{
+	Q_OBJECT
+
+public:
+	SichtsystemGUI(QWidget *parent = 0, Qt::WFlags flags = 0);
+	~SichtsystemGUI();
+	
+	/**
+	* Fängt closeEvents ab um benutzerdefinierte Aktionen durchzuführen und den Event danach zu akzeptieren.
+	* Zu den Aktionen gehört das Speichern der Einstellungen, das Schliessen das Debugfensters etc.
+	* @return void
+	* @param event: Abzufangender CloseEvent
+	*/
+	void closeEvent( QCloseEvent *event );
+
+	void setDebug(QTextEdit* debug_);
+
+private:
+	/**
+	 * \brief Diese Funktion setzt die Dockwidgets zusammen
+	 * 
+	 */ 
+	void setupDockWidgets();
+
+	/**
+	 * \brief Diese Funktion populiert die Toolbars mit den jeweiligen Actions.
+	 * 
+	 */ 
+	void setupToolbars();
+
+
+
+	Ui::SichtsystemGUIClass ui;
+
+	/**
+	 * Pointer auf das Debug-Feld
+	 */ 
+	QTextEdit* debug;
+
+	/**
+	 * Pointer auf den Process in dem der Helpviewer läuft.
+	 */
+	QProcess *helpProcess;
+
+	/**
+	 * Pointer auf DateTimeWidget.
+	 */
+	visualGUI_DateTime* dateTimeWidget;
+
+	visualGUI_ObjectPosition* objectPositionWidget;
+	
+	visualGUI_externalDataContainer* externalDataContainer;
+
+	visualGUI_externalLinkVCL* externalLink;
+
+	QTimer *externalLinkTimer;
+
+
+private slots:
+	void on_actionTriggerExternalLink_triggered();
+	void on_actionToggle_bottom_right_corner_triggered();
+	void on_actionToggle_bottom_left_corner_triggered();
+	void on_actionToggle_top_right_corner_triggered();
+	void on_actionToggle_top_left_corner_triggered();
+	void on_actionAbout_This_Programm_triggered();
+	void on_actionAbout_Qt_triggered();
+};
+
+#endif // SICHTSYSTEMGUI_H
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/sichtsystemgui.qrc
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/sichtsystemgui.qrc	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/sichtsystemgui.qrc	(revision 236)
@@ -0,0 +1,14 @@
+<RCC>
+    <qresource prefix="/SichtsystemGUI" >
+        <file>Resources/aboutQt.png</file>
+        <file>Resources/applicationLogo.png</file>
+        <file>Resources/changeLanguage.png</file>
+        <file>Resources/exit.png</file>
+        <file>Resources/help.png</file>
+        <file>Resources/setCornerLeftBottom.png</file>
+        <file>Resources/setCornerLeftTop.png</file>
+        <file>Resources/setCornerRightBottom.png</file>
+        <file>Resources/setCornerRightTop.png</file>
+        <file>Resources/settings.png</file>
+    </qresource>
+</RCC>
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/sichtsystemgui.ui
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/sichtsystemgui.ui	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/sichtsystemgui.ui	(revision 236)
@@ -0,0 +1,220 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <class>SichtsystemGUIClass</class>
+ <widget class="QMainWindow" name="SichtsystemGUIClass">
+  <property name="geometry">
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>807</width>
+    <height>471</height>
+   </rect>
+  </property>
+  <property name="windowTitle">
+   <string>SichtsystemGUI</string>
+  </property>
+  <property name="windowIcon">
+   <iconset resource="sichtsystemgui.qrc">
+    <normaloff>:/SichtsystemGUI/Resources/applicationLogo.png</normaloff>:/SichtsystemGUI/Resources/applicationLogo.png</iconset>
+  </property>
+  <widget class="QWidget" name="centralWidget"/>
+  <widget class="QMenuBar" name="menuBar">
+   <property name="geometry">
+    <rect>
+     <x>0</x>
+     <y>0</y>
+     <width>807</width>
+     <height>21</height>
+    </rect>
+   </property>
+   <widget class="QMenu" name="menuFile">
+    <property name="title">
+     <string>File</string>
+    </property>
+    <addaction name="actionExit"/>
+   </widget>
+   <widget class="QMenu" name="menu">
+    <property name="title">
+     <string>?</string>
+    </property>
+    <addaction name="actionHelp"/>
+    <addaction name="actionAbout_This_Programm"/>
+    <addaction name="actionAbout_Qt"/>
+   </widget>
+   <widget class="QMenu" name="menuEdit">
+    <property name="title">
+     <string>Edit</string>
+    </property>
+    <widget class="QMenu" name="menuSetup_window_corners">
+     <property name="title">
+      <string>Setup window corners</string>
+     </property>
+     <addaction name="actionToggle_top_left_corner"/>
+     <addaction name="actionToggle_top_right_corner"/>
+     <addaction name="actionToggle_bottom_left_corner"/>
+     <addaction name="actionToggle_bottom_right_corner"/>
+    </widget>
+    <addaction name="menuSetup_window_corners"/>
+   </widget>
+   <addaction name="menuFile"/>
+   <addaction name="menuEdit"/>
+   <addaction name="menu"/>
+  </widget>
+  <widget class="QToolBar" name="mainToolBar">
+   <property name="windowTitle">
+    <string>Toolbar</string>
+   </property>
+   <attribute name="toolBarArea">
+    <enum>TopToolBarArea</enum>
+   </attribute>
+   <attribute name="toolBarBreak">
+    <bool>false</bool>
+   </attribute>
+  </widget>
+  <widget class="QStatusBar" name="statusBar"/>
+  <widget class="QDockWidget" name="dW_Objects">
+   <property name="windowTitle">
+    <string>Object Position &amp; Tracking</string>
+   </property>
+   <attribute name="dockWidgetArea">
+    <number>1</number>
+   </attribute>
+   <widget class="QWidget" name="dockWidgetContents_3"/>
+  </widget>
+  <widget class="QDockWidget" name="dW_Weather">
+   <property name="windowTitle">
+    <string>Weather</string>
+   </property>
+   <attribute name="dockWidgetArea">
+    <number>8</number>
+   </attribute>
+   <widget class="QWidget" name="dockWidgetContents"/>
+  </widget>
+  <widget class="QDockWidget" name="dW_DateTime">
+   <property name="windowTitle">
+    <string>Date &amp; Time</string>
+   </property>
+   <attribute name="dockWidgetArea">
+    <number>2</number>
+   </attribute>
+   <widget class="QWidget" name="dockWidgetContents_2"/>
+  </widget>
+  <widget class="QDockWidget" name="dW_Debug">
+   <property name="windowTitle">
+    <string>Debug Output</string>
+   </property>
+   <attribute name="dockWidgetArea">
+    <number>2</number>
+   </attribute>
+   <widget class="QWidget" name="dockWidgetContents_4"/>
+  </widget>
+  <action name="actionAbout_This_Programm">
+   <property name="icon">
+    <iconset resource="sichtsystemgui.qrc">
+     <normaloff>:/SichtsystemGUI/Resources/applicationLogo.png</normaloff>:/SichtsystemGUI/Resources/applicationLogo.png</iconset>
+   </property>
+   <property name="text">
+    <string>About This Programm</string>
+   </property>
+  </action>
+  <action name="actionAbout_Qt">
+   <property name="icon">
+    <iconset resource="sichtsystemgui.qrc">
+     <normaloff>:/SichtsystemGUI/Resources/aboutQt.png</normaloff>:/SichtsystemGUI/Resources/aboutQt.png</iconset>
+   </property>
+   <property name="text">
+    <string>About Qt</string>
+   </property>
+  </action>
+  <action name="actionHelp">
+   <property name="icon">
+    <iconset resource="sichtsystemgui.qrc">
+     <normaloff>:/SichtsystemGUI/Resources/help.png</normaloff>:/SichtsystemGUI/Resources/help.png</iconset>
+   </property>
+   <property name="text">
+    <string>Help</string>
+   </property>
+  </action>
+  <action name="actionExit">
+   <property name="icon">
+    <iconset resource="sichtsystemgui.qrc">
+     <normaloff>:/SichtsystemGUI/Resources/exit.png</normaloff>:/SichtsystemGUI/Resources/exit.png</iconset>
+   </property>
+   <property name="text">
+    <string>Exit</string>
+   </property>
+  </action>
+  <action name="actionSettings">
+   <property name="icon">
+    <iconset resource="sichtsystemgui.qrc">
+     <normaloff>:/SichtsystemGUI/Resources/settings.png</normaloff>:/SichtsystemGUI/Resources/settings.png</iconset>
+   </property>
+   <property name="text">
+    <string>Settings</string>
+   </property>
+  </action>
+  <action name="actionToggle_top_left_corner">
+   <property name="icon">
+    <iconset resource="sichtsystemgui.qrc">
+     <normaloff>:/SichtsystemGUI/Resources/setCornerLeftTop.png</normaloff>:/SichtsystemGUI/Resources/setCornerLeftTop.png</iconset>
+   </property>
+   <property name="text">
+    <string>Toggle top left corner</string>
+   </property>
+  </action>
+  <action name="actionToggle_top_right_corner">
+   <property name="icon">
+    <iconset resource="sichtsystemgui.qrc">
+     <normaloff>:/SichtsystemGUI/Resources/setCornerRightTop.png</normaloff>:/SichtsystemGUI/Resources/setCornerRightTop.png</iconset>
+   </property>
+   <property name="text">
+    <string>Toggle top right corner</string>
+   </property>
+  </action>
+  <action name="actionToggle_bottom_left_corner">
+   <property name="icon">
+    <iconset resource="sichtsystemgui.qrc">
+     <normaloff>:/SichtsystemGUI/Resources/setCornerLeftBottom.png</normaloff>:/SichtsystemGUI/Resources/setCornerLeftBottom.png</iconset>
+   </property>
+   <property name="text">
+    <string>Toggle bottom left corner</string>
+   </property>
+  </action>
+  <action name="actionToggle_bottom_right_corner">
+   <property name="icon">
+    <iconset resource="sichtsystemgui.qrc">
+     <normaloff>:/SichtsystemGUI/Resources/setCornerRightBottom.png</normaloff>:/SichtsystemGUI/Resources/setCornerRightBottom.png</iconset>
+   </property>
+   <property name="text">
+    <string>Toggle bottom right corner</string>
+   </property>
+  </action>
+  <action name="actionTriggerExternalLink">
+   <property name="text">
+    <string>TriggerExternalLink</string>
+   </property>
+  </action>
+ </widget>
+ <layoutdefault spacing="6" margin="11"/>
+ <resources>
+  <include location="sichtsystemgui.qrc"/>
+ </resources>
+ <connections>
+  <connection>
+   <sender>actionExit</sender>
+   <signal>triggered()</signal>
+   <receiver>SichtsystemGUIClass</receiver>
+   <slot>close()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>-1</x>
+     <y>-1</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>403</x>
+     <y>235</y>
+    </hint>
+   </hints>
+  </connection>
+ </connections>
+</ui>
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_DateTime.cpp
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_DateTime.cpp	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_DateTime.cpp	(revision 236)
@@ -0,0 +1,12 @@
+#include "visualGUI_DateTime.h"
+
+visualGUI_DateTime::visualGUI_DateTime(QWidget *parent)
+	: QWidget(parent)
+{
+	ui.setupUi(this);
+}
+
+visualGUI_DateTime::~visualGUI_DateTime()
+{
+
+}
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_DateTime.h
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_DateTime.h	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_DateTime.h	(revision 236)
@@ -0,0 +1,19 @@
+#ifndef VISUALGUI_DATETIME_H
+#define VISUALGUI_DATETIME_H
+
+#include <QWidget>
+#include "ui_visualGUI_DateTime.h"
+
+class visualGUI_DateTime : public QWidget
+{
+	Q_OBJECT
+
+public:
+	visualGUI_DateTime(QWidget *parent = 0);
+	~visualGUI_DateTime();
+
+private:
+	Ui::visualGUI_DateTimeClass ui;
+};
+
+#endif // VISUALGUI_DATETIME_H
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_DateTime.ui
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_DateTime.ui	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_DateTime.ui	(revision 236)
@@ -0,0 +1,69 @@
+<ui version="4.0" >
+ <class>visualGUI_DateTimeClass</class>
+ <widget class="QWidget" name="visualGUI_DateTimeClass" >
+  <property name="geometry" >
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>242</width>
+    <height>89</height>
+   </rect>
+  </property>
+  <property name="windowTitle" >
+   <string>visualGUI_DateTime</string>
+  </property>
+  <widget class="QLabel" name="label" >
+   <property name="geometry" >
+    <rect>
+     <x>20</x>
+     <y>20</y>
+     <width>161</width>
+     <height>71</height>
+    </rect>
+   </property>
+   <property name="font" >
+    <font>
+     <family>MS Shell Dlg 2</family>
+     <pointsize>16</pointsize>
+     <weight>50</weight>
+     <italic>false</italic>
+     <bold>false</bold>
+     <underline>false</underline>
+     <strikeout>false</strikeout>
+    </font>
+   </property>
+   <property name="text" >
+    <string>Date &amp; Time</string>
+   </property>
+  </widget>
+  <widget class="QDateTimeEdit" name="dateTimeEdit" >
+   <property name="geometry" >
+    <rect>
+     <x>10</x>
+     <y>10</y>
+     <width>194</width>
+     <height>22</height>
+    </rect>
+   </property>
+   <property name="wrapping" >
+    <bool>true</bool>
+   </property>
+   <property name="dateTime" >
+    <datetime>
+     <hour>12</hour>
+     <minute>0</minute>
+     <second>0</second>
+     <year>2009</year>
+     <month>6</month>
+     <day>15</day>
+    </datetime>
+   </property>
+   <property name="calendarPopup" >
+    <bool>true</bool>
+   </property>
+  </widget>
+ </widget>
+ <layoutdefault spacing="6" margin="11" />
+ <resources/>
+ <connections/>
+</ui>
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_ObjectPosition.cpp
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_ObjectPosition.cpp	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_ObjectPosition.cpp	(revision 236)
@@ -0,0 +1,12 @@
+#include "visualGUI_ObjectPosition.h"
+
+visualGUI_ObjectPosition::visualGUI_ObjectPosition(QWidget *parent)
+	: QWidget(parent)
+{
+	ui.setupUi(this);
+}
+
+visualGUI_ObjectPosition::~visualGUI_ObjectPosition()
+{
+
+}
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_ObjectPosition.h
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_ObjectPosition.h	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_ObjectPosition.h	(revision 236)
@@ -0,0 +1,21 @@
+#ifndef VISUALGUI_OBJECTPOSITION_H
+#define VISUALGUI_OBJECTPOSITION_H
+
+#include <QWidget>
+#include "ui_visualGUI_ObjectPosition.h"
+
+class visualGUI_ObjectPosition : public QWidget
+{
+	Q_OBJECT
+
+public:
+	visualGUI_ObjectPosition(QWidget *parent = 0);
+	~visualGUI_ObjectPosition();
+
+	Ui::visualGUI_ObjectPositionClass* getUI() {return(&ui);};
+
+private:
+	Ui::visualGUI_ObjectPositionClass ui;
+};
+
+#endif // VISUALGUI_OBJECTPOSITION_H
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_ObjectPosition.ui
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_ObjectPosition.ui	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_ObjectPosition.ui	(revision 236)
@@ -0,0 +1,186 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <class>visualGUI_ObjectPositionClass</class>
+ <widget class="QWidget" name="visualGUI_ObjectPositionClass">
+  <property name="geometry">
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>361</width>
+    <height>138</height>
+   </rect>
+  </property>
+  <property name="windowTitle">
+   <string>visualGUI_ObjectPosition</string>
+  </property>
+  <widget class="QWidget" name="layoutWidget">
+   <property name="geometry">
+    <rect>
+     <x>10</x>
+     <y>10</y>
+     <width>229</width>
+     <height>74</height>
+    </rect>
+   </property>
+   <layout class="QGridLayout" name="gridLayout">
+    <item row="0" column="0">
+     <widget class="QDoubleSpinBox" name="dSB_Lat">
+      <property name="prefix">
+       <string>Lat: </string>
+      </property>
+      <property name="suffix">
+       <string>Â°</string>
+      </property>
+      <property name="decimals">
+       <number>6</number>
+      </property>
+      <property name="minimum">
+       <double>-90.000000000000000</double>
+      </property>
+      <property name="maximum">
+       <double>90.000000000000000</double>
+      </property>
+      <property name="value">
+       <double>48.342816999999997</double>
+      </property>
+     </widget>
+    </item>
+    <item row="0" column="1">
+     <widget class="QDoubleSpinBox" name="dSB_bank_phi">
+      <property name="wrapping">
+       <bool>true</bool>
+      </property>
+      <property name="accelerated">
+       <bool>true</bool>
+      </property>
+      <property name="prefix">
+       <string>Bank (Phi): </string>
+      </property>
+      <property name="suffix">
+       <string>Â°</string>
+      </property>
+      <property name="minimum">
+       <double>-180.000000000000000</double>
+      </property>
+      <property name="maximum">
+       <double>180.000000000000000</double>
+      </property>
+     </widget>
+    </item>
+    <item row="1" column="0">
+     <widget class="QDoubleSpinBox" name="dSB_Lon">
+      <property name="prefix">
+       <string>Lon: </string>
+      </property>
+      <property name="suffix">
+       <string>Â°</string>
+      </property>
+      <property name="decimals">
+       <number>6</number>
+      </property>
+      <property name="minimum">
+       <double>-180.000000000000000</double>
+      </property>
+      <property name="maximum">
+       <double>180.000000000000000</double>
+      </property>
+      <property name="value">
+       <double>11.778843999999999</double>
+      </property>
+     </widget>
+    </item>
+    <item row="1" column="1">
+     <widget class="QDoubleSpinBox" name="dSB_pitch_theta">
+      <property name="wrapping">
+       <bool>true</bool>
+      </property>
+      <property name="accelerated">
+       <bool>true</bool>
+      </property>
+      <property name="prefix">
+       <string>Pitch (Theta):  </string>
+      </property>
+      <property name="suffix">
+       <string>Â°</string>
+      </property>
+      <property name="minimum">
+       <double>-180.000000000000000</double>
+      </property>
+      <property name="maximum">
+       <double>180.000000000000000</double>
+      </property>
+     </widget>
+    </item>
+    <item row="2" column="0">
+     <widget class="QDoubleSpinBox" name="dSB_Alt">
+      <property name="accelerated">
+       <bool>true</bool>
+      </property>
+      <property name="prefix">
+       <string>Alt: </string>
+      </property>
+      <property name="suffix">
+       <string>m</string>
+      </property>
+      <property name="minimum">
+       <double>-2000.000000000000000</double>
+      </property>
+      <property name="maximum">
+       <double>9999999.000000000000000</double>
+      </property>
+      <property name="singleStep">
+       <double>50.000000000000000</double>
+      </property>
+      <property name="value">
+       <double>550.000000000000000</double>
+      </property>
+     </widget>
+    </item>
+    <item row="2" column="1">
+     <widget class="QDoubleSpinBox" name="dSB_azimuth_psi">
+      <property name="wrapping">
+       <bool>true</bool>
+      </property>
+      <property name="accelerated">
+       <bool>true</bool>
+      </property>
+      <property name="prefix">
+       <string>Azimuth (Psi): </string>
+      </property>
+      <property name="suffix">
+       <string>Â°</string>
+      </property>
+      <property name="maximum">
+       <double>359.990000000000009</double>
+      </property>
+     </widget>
+    </item>
+   </layout>
+  </widget>
+  <widget class="QWidget" name="">
+   <property name="geometry">
+    <rect>
+     <x>20</x>
+     <y>110</y>
+     <width>221</width>
+     <height>22</height>
+    </rect>
+   </property>
+   <layout class="QHBoxLayout" name="horizontalLayout">
+    <item>
+     <widget class="QLabel" name="label">
+      <property name="text">
+       <string>ID to track:</string>
+      </property>
+     </widget>
+    </item>
+    <item>
+     <widget class="QSpinBox" name="idToTrack"/>
+    </item>
+   </layout>
+  </widget>
+ </widget>
+ <layoutdefault spacing="6" margin="11"/>
+ <resources/>
+ <connections/>
+</ui>
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_Weather.cpp
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_Weather.cpp	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_Weather.cpp	(revision 236)
@@ -0,0 +1,12 @@
+#include "visualGUI_Weather.h"
+
+visualGUI_Weather::visualGUI_Weather(QWidget *parent)
+	: QWidget(parent)
+{
+	ui.setupUi(this);
+}
+
+visualGUI_Weather::~visualGUI_Weather()
+{
+
+}
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_Weather.h
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_Weather.h	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_Weather.h	(revision 236)
@@ -0,0 +1,19 @@
+#ifndef VISUALGUI_WEATHER_H
+#define VISUALGUI_WEATHER_H
+
+#include <QWidget>
+#include "ui_visualGUI_Weather.h"
+
+class visualGUI_Weather : public QWidget
+{
+	Q_OBJECT
+
+public:
+	visualGUI_Weather(QWidget *parent = 0);
+	~visualGUI_Weather();
+
+private:
+	Ui::visualGUI_WeatherClass ui;
+};
+
+#endif // VISUALGUI_WEATHER_H
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_Weather.ui
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_Weather.ui	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_Weather.ui	(revision 236)
@@ -0,0 +1,23 @@
+<UI version="4.0" stdSetDef="1" >
+ <class>visualGUI_WeatherClass</class>
+ <widget class="QWidget" name="visualGUI_WeatherClass" >
+  <property name="objectName" >
+   <string notr="true">visualGUI_WeatherClass</string>
+  </property>
+  <property name="geometry" >
+   <rect>
+	<x>0</x>
+	<y>0</y>
+	<width>400</width>
+	<height>300</height>
+   </rect>
+  </property>
+  <property name="windowTitle" >
+   <string>visualGUI_Weather</string>
+  </property>  
+ </widget>
+ <layoutDefault spacing="6" margin="11" />
+ <pixmapfunction></pixmapfunction>
+ <resources/>
+ <connections/>
+</UI>
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalDataContainer.cpp
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalDataContainer.cpp	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalDataContainer.cpp	(revision 236)
@@ -0,0 +1,18 @@
+#include "visualGUI_externalDataContainer.h"
+
+visualGUI_externalDataContainer::visualGUI_externalDataContainer(QObject *parent)
+	: QObject(parent)
+{
+	lat = 0;
+	lon = 0;
+	alt = 0;
+	bank_phi = 0;
+	pitch_theta = 0;
+	azimuth_psi = 0;
+	idToTrack = -1;
+}
+
+visualGUI_externalDataContainer::~visualGUI_externalDataContainer()
+{
+
+}
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalDataContainer.h
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalDataContainer.h	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalDataContainer.h	(revision 236)
@@ -0,0 +1,26 @@
+#ifndef VISUALGUI_EXTERNALDATACONTAINER_H
+#define VISUALGUI_EXTERNALDATACONTAINER_H
+
+#include <QObject>
+
+class visualGUI_externalDataContainer : public QObject
+{
+	Q_OBJECT
+
+public:
+	visualGUI_externalDataContainer(QObject *parent);
+	~visualGUI_externalDataContainer();
+
+	double lat;
+	double lon;
+	double alt;
+	double bank_phi;
+	double pitch_theta;
+	double azimuth_psi;
+	double idToTrack;
+
+private:
+	
+};
+
+#endif // VISUALGUI_EXTERNALDATACONTAINER_H
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalLink.cpp
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalLink.cpp	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalLink.cpp	(revision 236)
@@ -0,0 +1,12 @@
+#include "visualGUI_externalLink.h"
+
+visualGUI_externalLink::visualGUI_externalLink(QObject *parent)
+	: QObject(parent)
+{
+
+}
+
+visualGUI_externalLink::~visualGUI_externalLink()
+{
+
+}
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalLink.h
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalLink.h	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalLink.h	(revision 236)
@@ -0,0 +1,25 @@
+#ifndef VISUALGUI_EXTERNALLINK_H
+#define VISUALGUI_EXTERNALLINK_H
+
+#include <QObject>
+#include <QDebug>
+#include "visualGUI_externalDataContainer.h"
+
+class visualGUI_externalLink : public QObject
+{
+	Q_OBJECT
+
+public:
+	visualGUI_externalLink(QObject *parent);
+	~visualGUI_externalLink();
+
+	virtual bool InitExternalLink() = 0;
+	virtual void processExternalLink() = 0;
+
+protected:
+	bool initialized;
+	visualGUI_externalDataContainer* externalDataContainer;
+
+};
+
+#endif // VISUALGUI_EXTERNALLINK_H
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalLinkVCL.cpp
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalLinkVCL.cpp	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalLinkVCL.cpp	(revision 236)
@@ -0,0 +1,69 @@
+#include "visualGUI_externalLinkVCL.h"
+
+visualGUI_externalLinkVCL::visualGUI_externalLinkVCL(QObject *parent, visualGUI_externalDataContainer* externalDataContainer_ )
+	: visualGUI_externalLink(parent)
+{
+	initialized = false;
+	externalDataContainer = externalDataContainer_;
+}
+
+visualGUI_externalLinkVCL::~visualGUI_externalLinkVCL()
+{
+
+}
+
+bool visualGUI_externalLinkVCL::InitExternalLink()
+{
+	std::cout << "Initializing ExternalLink" << std::endl;
+
+	CVCLIO::GetInstance().LoadProject("osgVisual_out.xml");
+
+	if( !CAMERA_POSITION_LATITUDE.Attach("OSGVISCONTROL_OUT", "SAENGER2_POS_LAT") )
+		return false;
+    if( !CAMERA_POSITION_LONGITUDE.Attach("OSGVISCONTROL_OUT", "SAENGER2_POS_LON") )
+		return false;
+    if( !CAMERA_POSITION_ALTITUDE.Attach("OSGVISCONTROL_OUT", "SAENGER2_POS_ALT") )
+		return false;
+	if( !OBJECT_BANK_PHI.Attach("OSGVISCONTROL_OUT", "SAENGER2_ROT_X") )
+		return false;
+    if( !OBJECT_PITCH_THETA.Attach("OSGVISCONTROL_OUT", "SAENGER2_ROT_Y") )
+		return false;
+    if( !OBJECT_AZIMUTH_PSI.Attach("OSGVISCONTROL_OUT", "SAENGER2_ROT_Z") )
+		return false;
+	if( !TRACKING_ID.Attach("OSGVISCONTROL_OUT", "TRACKING_ID") )
+		return false;
+
+	//if( !IS_VALID.Attach("VISENGINE_CAMERA_CHANNEL_SEND", "IS_VALID") )
+	//	return false;
+	
+	initialized = true;
+
+	return true;
+}
+
+void visualGUI_externalLinkVCL::processExternalLink()
+{
+	if (!initialized)
+		return;
+
+	// Send Data
+	//std::cout << "processing ExternalLink.." << std::endl;
+
+	//qDebug()<<"Lat: " << externalDataContainer->lat;
+	//qDebug()<<"Lon: " << externalDataContainer->lon;
+	//qDebug()<<"Alt: " << externalDataContainer->alt;
+	//qDebug()<<"bank_phi: " << externalDataContainer->bank_phi;
+	//qDebug()<<"pitch_theta: " << externalDataContainer->pitch_theta;
+	//qDebug()<<"azimuth_psi: " << externalDataContainer->azimuth_psi;
+	CAMERA_POSITION_LATITUDE.SetValue( externalDataContainer->lat );
+	CAMERA_POSITION_LONGITUDE.SetValue( externalDataContainer->lon );
+	CAMERA_POSITION_ALTITUDE.SetValue( externalDataContainer->alt );
+	OBJECT_BANK_PHI.SetValue( externalDataContainer->bank_phi );
+	OBJECT_PITCH_THETA.SetValue( externalDataContainer->pitch_theta );
+	OBJECT_AZIMUTH_PSI.SetValue( externalDataContainer->azimuth_psi );
+	TRACKING_ID.SetValue( externalDataContainer->idToTrack );
+
+	IS_VALID.SetValue( 1.23 );	// Transmit anything != Zero
+
+	CVCLIO::GetInstance().DoDataExchange();
+}
Index: experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalLinkVCL.h
===================================================================
--- experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalLinkVCL.h	(revision 236)
+++ experimental/osgVisual-GUI/Sichtsystem-GUI/visualGUI_externalLinkVCL.h	(revision 236)
@@ -0,0 +1,43 @@
+#ifndef VISUALGUI_EXTERNALLINKVCL_H
+#define VISUALGUI_EXTERNALLINKVCL_H
+
+#include "visualGUI_externalLink.h"
+
+// VCL
+#ifdef WIN32
+#include <wtypes.h>
+#endif
+
+#include "VCLDefinitions.h"
+#include "VCLIO.h"
+#include "VCLIOChannel.h"
+#include "VCLIOChannelEntry.h"
+#include "VCLVariable.h"
+#include "VCLSocketDefs.h"
+#include <conio.h>
+#include <stdlib.h>
+#include <iostream>
+
+class visualGUI_externalLinkVCL : public visualGUI_externalLink
+{
+	Q_OBJECT
+
+public:
+	visualGUI_externalLinkVCL(QObject *parent, visualGUI_externalDataContainer* externalDataContainer_ );
+	~visualGUI_externalLinkVCL();
+
+	bool InitExternalLink();	// Verbindung instanziieren
+	void processExternalLink();	// Daten mit Simulator über externalLink austauschen
+
+private:
+	CVCLVariable<double> CAMERA_POSITION_LATITUDE;     
+    CVCLVariable<double> CAMERA_POSITION_LONGITUDE; 
+    CVCLVariable<double> CAMERA_POSITION_ALTITUDE; 
+	CVCLVariable<double> OBJECT_BANK_PHI;
+    CVCLVariable<double> OBJECT_PITCH_THETA;
+    CVCLVariable<double> OBJECT_AZIMUTH_PSI;
+	CVCLVariable<double> IS_VALID;
+	CVCLVariable<double> TRACKING_ID;
+};
+
+#endif // VISUALGUI_EXTERNALLINKVCL_H
Index: experimental/osgVisual-GUI/debug/osgVisual_out.xml
===================================================================
--- experimental/osgVisual-GUI/debug/osgVisual_out.xml	(revision 236)
+++ experimental/osgVisual-GUI/debug/osgVisual_out.xml	(revision 236)
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="ISO-8859-1" ?>
+<CONFIGURATION>
+   <CHANNEL name="OSGVISCONTROL_OUT" multicast_out_group="231.8.8.8" multicast_out_port="5789" multicast_out_freq="100" endian_swap="false" >
+      <ENTRY name="SAENGER1_POS_LAT" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="48.5"></ENTRY>
+      <ENTRY name="SAENGER1_POS_LON" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="11.5"></ENTRY>
+      <ENTRY name="SAENGER1_POS_ALT" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="-1000"></ENTRY>
+      <ENTRY name="SAENGER1_ROT_X" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+      <ENTRY name="SAENGER1_ROT_Y" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+      <ENTRY name="SAENGER1_ROT_Z" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+	   <ENTRY name="SAENGER2_POS_LAT" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="48.5"></ENTRY>
+	   <ENTRY name="SAENGER2_POS_LON" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="11.5"></ENTRY>
+	   <ENTRY name="SAENGER2_POS_ALT" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="-1000"></ENTRY>
+	   <ENTRY name="SAENGER2_ROT_X" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+	   <ENTRY name="SAENGER2_ROT_Y" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+	   <ENTRY name="SAENGER2_ROT_Z" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+	   <ENTRY name="SAENGER_POS_LAT" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="48.5"></ENTRY>
+	   <ENTRY name="SAENGER_POS_LON" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="11.5"></ENTRY>
+	   <ENTRY name="SAENGER_POS_ALT" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="-1000"></ENTRY>
+	   <ENTRY name="SAENGER_ROT_X" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+	   <ENTRY name="SAENGER_ROT_Y" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+	   <ENTRY name="SAENGER_ROT_Z" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+     <ENTRY name="TRACKING_ID" type="DOUBLE" unit="m" min="0" max="200" attrib="NONE" expression="" value="-1"></ENTRY>
+   </CHANNEL>
+</CONFIGURATION>
+
Index: experimental/osgVisual-GUI/release/osgVisual_out.xml
===================================================================
--- experimental/osgVisual-GUI/release/osgVisual_out.xml	(revision 236)
+++ experimental/osgVisual-GUI/release/osgVisual_out.xml	(revision 236)
@@ -0,0 +1,25 @@
+<?xml version="1.0" encoding="ISO-8859-1" ?>
+<CONFIGURATION>
+   <CHANNEL name="OSGVISCONTROL_OUT" multicast_out_group="231.8.8.8" multicast_out_port="5789" multicast_out_freq="100" endian_swap="false" >
+      <ENTRY name="SAENGER1_POS_LAT" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="48.5"></ENTRY>
+      <ENTRY name="SAENGER1_POS_LON" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="11.5"></ENTRY>
+      <ENTRY name="SAENGER1_POS_ALT" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="-1000"></ENTRY>
+      <ENTRY name="SAENGER1_ROT_X" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+      <ENTRY name="SAENGER1_ROT_Y" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+      <ENTRY name="SAENGER1_ROT_Z" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+	   <ENTRY name="SAENGER2_POS_LAT" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="48.5"></ENTRY>
+	   <ENTRY name="SAENGER2_POS_LON" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="11.5"></ENTRY>
+	   <ENTRY name="SAENGER2_POS_ALT" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="-1000"></ENTRY>
+	   <ENTRY name="SAENGER2_ROT_X" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+	   <ENTRY name="SAENGER2_ROT_Y" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+	   <ENTRY name="SAENGER2_ROT_Z" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+	   <ENTRY name="SAENGER_POS_LAT" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="48.5"></ENTRY>
+	   <ENTRY name="SAENGER_POS_LON" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="11.5"></ENTRY>
+	   <ENTRY name="SAENGER_POS_ALT" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="-1000"></ENTRY>
+	   <ENTRY name="SAENGER_ROT_X" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+	   <ENTRY name="SAENGER_ROT_Y" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+	   <ENTRY name="SAENGER_ROT_Z" type="DOUBLE" unit="m" min="0" max="10" attrib="NONE" expression="" value="0"></ENTRY>
+     <ENTRY name="TRACKING_ID" type="DOUBLE" unit="m" min="0" max="200" attrib="NONE" expression="" value="-1"></ENTRY>
+   </CHANNEL>
+</CONFIGURATION>
+
